#### Linux From Scratch - Version 12.3-systemd

### Chapter 6. Cross Compiling Temporary Tools

- Prev

  Findutils-4.10.0

- Next

  Grep-3.11

- Up
- Home

# 6.9. Gawk-5.3.1

The Gawk package contains programs for manipulating text files.

Approximate build time: 0.1 SBU
Required disk space: 47 MB

## 6.9.1. Installation of Gawk

First, ensure some unneeded files are not installed:

    sed -i 's/extras//' Makefile.in

Prepare Gawk for compilation:

    ./configure --prefix=/usr   \
                --host=$LFS_TGT \
                --build=$(build-aux/config.guess)

Compile the package:

    make

Install the package:

    make DESTDIR=$LFS install

Details on this package are located in Section 8.61.2, “Contents of Gawk.”

- Prev

  Findutils-4.10.0

- Next

  Grep-3.11

- Up
- Home